=== debian/changelog ===
scitokens-cpp (1.1.1-1) stable; urgency=medium

  [ Derek Weitzel ]
  * Improve error handling around the sqlite3 library
  * Fix test failures and compiler warnings

 -- root <htcondor-admin@cs.wisc.edu>  Tue, 05 Mar 2024 20:08:24 +0000
