=== debian/control ===
Source: scitokens-cpp
Section: net
Priority: optional
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 cmake,
 pkgconf,
 libcurl4-openssl-dev,
 libsqlite3-dev,
 libssl-dev,
 uuid-dev,
 libgtest-dev
Homepage: https://github.com/scitokens/scitokens-cpp
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Vcs-Browser: https://salsa.debian.org/ellert/scitokens-cpp
Vcs-Git: https://salsa.debian.org/ellert/scitokens-cpp.git

Package: libscitokens0t64
Provides: ${t64:Provides}
Replaces: libscitokens0
Breaks: libscitokens0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: C++ Implementation of the SciTokens Library
 This package implements a minimal library for creating and using
 SciTokens from C or C++.
 .
 SciTokens (https://scitokens.org) provide a token format for
 distributed authorization. The tokens are self-describing, can be
 verified in a distributed fashion (no need to contact the issuer to
 determine if the token is valid). This is convenient for a federated
 environment where several otherwise-independent storage endpoints
 want to delegate trust for an issuer for managing a storage
 allocation.

Package: libscitokens-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libscitokens0t64 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for scitokens-cpp
 Development files (header files) for scitokens-cpp.

Package: scitokens-cpp
Architecture: any
Multi-Arch: foreign
Depends:
 libscitokens0t64 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Binaries for scitokens-cpp
 Binaries for creating, verifying and testing scitokens.
