## scitokens-cpp 1.1.2

=== debian/changelog ===
scitokens-cpp (1.1.2-1) stable; urgency=medium

  [ Derek Weitzel ]
  * Turn off CMAKE unity builds
  * Add a mutex around requesting public keys to stop overloading issuers

 -- root <htcondor-admin@cs.wisc.edu>  Tue, 03 Dec 2024 21:22:25 +0000
