=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: scitokens-cpp
 Section: net
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dpkg-dev (>= 1.22.5),
