=== vendor/jwt-cpp/example/conan/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(conan-example)

include(${CMAKE_BINARY_DIR}/conanbuildinfo.cmake)
conan_basic_setup()

add_executable(${PROJECT_NAME} main.cpp)
target_link_libraries(${PROJECT_NAME} ${CONAN_LIBS})
