=== debian/changelog ===
scitokens-cpp (1.1.3-1) stable; urgency=medium

  [ Derek Weitzel ]
  * Include cstdint import for jwt library to support newer compilers

 -- root <htcondor-admin@cs.wisc.edu>  Wed, 09 Apr 2025 16:34:29 +0000
