=== debian/changelog ===
scitokens-cpp (1.2.0-1) unstable; urgency=medium

  * Update to version 1.2.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 10 Dec 2025 10:13:25 +0100

scitokens-cpp (1.1.3-1) unstable; urgency=medium

  * Update to version 1.1.3
  * Drop patch accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 25 Feb 2025 16:10:56 +0100

scitokens-cpp (1.1.2-2) unstable; urgency=medium

  * Fix compilation with GCC 15 (Closes: #1097859)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 22 Feb 2025 15:14:43 +0100

scitokens-cpp (1.1.2-1) unstable; urgency=medium

  * Update to version 1.1.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 01 Nov 2024 10:42:21 +0100

scitokens-cpp (1.1.1-1) unstable; urgency=medium

  * Update to version 1.1.1
  * Drop patch accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 15 Mar 2024 08:26:19 +0100

scitokens-cpp (1.1.0-2) unstable; urgency=medium

  * Correct expected package name in lintian override

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 10 Mar 2024 14:59:00 +0100

scitokens-cpp (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062887

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:44:22 +0000

scitokens-cpp (1.1.0-1) unstable; urgency=medium

  * Update to version 1.1.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 10 Nov 2023 14:35:19 +0100

scitokens-cpp (1.0.2-1) unstable; urgency=medium

  * Update to version 1.0.2
  * Drop patch accepted upstream
  * Fix test failures and compiler warnings

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 16 Jun 2023 09:03:15 +0200
