=== docs/requirements.txt ===
sphinx>=4.0
breathe>=4.30
sphinx-rtd-theme>=1.0
