=== debian/changelog ===
scitokens-cpp (1.3.0-2) unstable; urgency=medium

  * Check if libatomic is needed

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 31 Jan 2026 08:21:50 +0100

scitokens-cpp (1.3.0-1) unstable; urgency=medium

  * Update to version 1.3.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 30 Jan 2026 06:38:55 +0100
