=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_configure:
	dh_auto_configure -- \
	    -DSCITOKENS_BUILD_UNITTESTS:BOOL=ON \
	    -DSCITOKENS_EXTERNAL_GTEST:BOOL=ON
endif

override_dh_auto_test:
	# Filter out tests that require network connection
	# Use a key cache directory outside HOME since HOME might not exit
	dh_auto_test -- \
		GTEST_FILTER=-KeycacheTest.RefreshTest:KeycacheTest.RefreshExpiredTest:KeycacheTest.NegativeCacheTest:KeycacheTest.LoadJwksTriggersRefreshWhenStale \
		XDG_CACHE_HOME=$(CURDIR)/.cache
