=== debian/changelog ===
scitokens-cpp (1.4.0-1) unstable; urgency=medium

  * Update to version 1.4.0
  * Avoid PATH_MAX (non-portable)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 24 Feb 2026 15:19:47 +0100
